## mailcommon 25.04.3

=== debian/changelog ===
mailcommon (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:55:50 +0100

=== debian/control ===
Source: mailcommon
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.04.3~),
               libakonadicontact-dev (>= 4:25.04.3~),
               libakonadimime-dev (>= 4:25.04.3~),
               libgpgme-dev (>= 1.20.0~),
               libgpgmepp-dev (>= 1.20.0~),
               libkdepim-dev (>= 4:25.04.3~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.04.3~),
               libkmailtransport-dev (>= 25.04.3~),
               libkmime-dev (>= 25.04.3~),
               libktextaddons-dev (>= 1.5.4~),
               libmailimporter-dev (>= 4:25.04.3~),
               libphonon4qt6-dev (>= 4:4.12.0~),
               libpimcommon-dev (>= 4:25.04.3~),
               libplasmaactivities-dev (>= 6.1.0~),
               libqgpgmeqt6-dev (>= 1.20.0~),
               messagelib-dev (>= 4:25.04.3~),
               qt6-base-dev (>= 6.7.0~),
               qt6-multimedia-dev,
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/mailcommon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailcommon
Rules-Requires-Root: no

Package: libmailcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM email utility library - data files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the shared data distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libmailcommon-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Depends: libakonadi-dev (>= 4:25.04.3~),
         libakonadimime-dev (>= 4:25.04.3~),
         libkdepim-dev (>= 4:25.04.3~),
         libkf6completion-dev (>= 6.6.0~),
         libkpim6mailcommon6 (= ${binary:Version}),
         libpimcommon-dev (>= 4:25.04.3~),
         messagelib-dev (>= 4:25.04.3~),
         ${misc:Depends},
Description: KDE PIM email utility library - development files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libmailcommon-plugins
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE PIM email utility library - plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkpim6mailcommon6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libmailcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.

## mailcommon 25.07.80

=== debian/changelog ===
mailcommon (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:44:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.3~),
-               libakonadicontact-dev (>= 4:25.04.3~),
-               libakonadimime-dev (>= 4:25.04.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicontact-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:25.04.3~),
+               libkdepim-dev (>= 4:25.07.80~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -30,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.3~),
-               libkmailtransport-dev (>= 25.04.3~),
-               libkmime-dev (>= 25.04.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:25.04.3~),
+               libmailimporter-dev (>= 4:25.07.80~),
                libphonon4qt6-dev (>= 4:4.12.0~),
-               libpimcommon-dev (>= 4:25.04.3~),
+               libpimcommon-dev (>= 4:25.07.80~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:25.04.3~),
+               messagelib-dev (>= 4:25.07.80~),
                qt6-base-dev (>= 6.7.0~),
                qt6-multimedia-dev,
                xauth,
@@ -65,13 +65,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:25.04.3~),
-         libakonadimime-dev (>= 4:25.04.3~),
-         libkdepim-dev (>= 4:25.04.3~),
+Depends: libakonadi-dev (>= 4:25.07.80~),
+         libakonadimime-dev (>= 4:25.07.80~),
+         libkdepim-dev (>= 4:25.07.80~),
          libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:25.04.3~),
-         messagelib-dev (>= 4:25.04.3~),
+         libpimcommon-dev (>= 4:25.07.80~),
+         messagelib-dev (>= 4:25.07.80~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.

## mailcommon 25.07.90

=== debian/changelog ===
mailcommon (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:00:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicontact-dev (>= 4:25.07.80~),
-               libakonadimime-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicontact-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.07.90~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:25.07.80~),
+               libkdepim-dev (>= 4:25.07.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -30,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:25.07.80~),
+               libmailimporter-dev (>= 4:25.07.90~),
                libphonon4qt6-dev (>= 4:4.12.0~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libpimcommon-dev (>= 4:25.07.90~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:25.07.80~),
+               messagelib-dev (>= 4:25.07.90~),
                qt6-base-dev (>= 6.7.0~),
                qt6-multimedia-dev,
                xauth,
@@ -65,13 +65,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:25.07.80~),
-         libakonadimime-dev (>= 4:25.07.80~),
-         libkdepim-dev (>= 4:25.07.80~),
+Depends: libakonadi-dev (>= 4:25.07.90~),
+         libakonadimime-dev (>= 4:25.07.90~),
+         libkdepim-dev (>= 4:25.07.90~),
          libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:25.07.80~),
-         messagelib-dev (>= 4:25.07.80~),
+         libpimcommon-dev (>= 4:25.07.90~),
+         messagelib-dev (>= 4:25.07.90~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.

## mailcommon 25.08.0

=== debian/changelog ===
mailcommon (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:59:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicontact-dev (>= 4:25.07.90~),
-               libakonadimime-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicontact-dev (>= 4:25.08.0~),
+               libakonadimime-dev (>= 4:25.08.0~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:25.07.90~),
+               libkdepim-dev (>= 4:25.08.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -30,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:25.07.90~),
+               libmailimporter-dev (>= 4:25.08.0~),
                libphonon4qt6-dev (>= 4:4.12.0~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libpimcommon-dev (>= 4:25.08.0~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:25.07.90~),
+               messagelib-dev (>= 4:25.08.0~),
                qt6-base-dev (>= 6.7.0~),
                qt6-multimedia-dev,
                xauth,
@@ -65,13 +65,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:25.07.90~),
-         libakonadimime-dev (>= 4:25.07.90~),
-         libkdepim-dev (>= 4:25.07.90~),
+Depends: libakonadi-dev (>= 4:25.08.0~),
+         libakonadimime-dev (>= 4:25.08.0~),
+         libkdepim-dev (>= 4:25.08.0~),
          libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:25.07.90~),
-         messagelib-dev (>= 4:25.07.90~),
+         libpimcommon-dev (>= 4:25.08.0~),
+         messagelib-dev (>= 4:25.08.0~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.

## mailcommon 25.08.1

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

add_akonadi_isolated_test(foldertreewidgettest.cpp)
target_link_libraries(
    foldertreewidgettest
    KPim6::AkonadiWidgets
    KPim6::MailCommon
)

add_akonadi_isolated_test(favoritestest.cpp)
target_link_libraries(favoritestest KPim6::AkonadiWidgets KPim6::MailCommon)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DTRANSLATION_DOMAIN=\"libmailcommon6\")

configure_file(
    config-mailcommon.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-mailcommon.h
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

kconfig_add_kcfg_files(libmailcommon_SRCS
    settings/mailcommonsettings_base.kcfgc
)

ecm_qt_declare_logging_category(libmailcommon_SRCS HEADER mailcommon_debug.h IDENTIFIER MAILCOMMON_LOG CATEGORY_NAME org.kde.pim.mailcommon
        OLD_CATEGORY_NAMES log_mailcommon
        DESCRIPTION "mailcommon (mailcommon)" EXPORT MAILCOMMON
)

set_source_files_properties(
    ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml
    PROPERTIES INCLUDE "dbusoperators.h"
)

qt_add_dbus_interfaces(libmailcommon_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.freedesktop.Akonadi.MailFilterAgent.xml
)

ki18n_wrap_ui(libmailcommon_SRCS filter/ui/filterconfigwidget.ui snippets/ui/snippetwidget.ui filter/ui/selectthunderbirdfilterfileswidget.ui)

set(libmailcommon_SRCS ${libmailcommon_SRCS} filter/soundtestwidget.cpp)

macro(add_resource_iface _kcfgFile _ifaceName _className)
    kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
    qt_add_dbus_interface(libmailcommon_SRCS
      ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_className}
    )
endmacro()

add_resource_iface(settings.kcfg org.kde.Akonadi.POP3.Settings pop3settings)

qt_add_dbus_interfaces(libmailcommon_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbusinterfaces/org.kde.Korganizer.Calendar.xml
)

add_library(KPim6MailCommon)

add_library(KPim6::MailCommon ALIAS KPim6MailCommon)

target_sources(
    KPim6MailCommon
    PRIVATE
        filter/kmfilteraccountlist.cpp
        filter/kmfilterlistbox.cpp
        filter/filterselectiondialog.cpp
        filter/filterconverter/filterconverttosieve.cpp
        filter/filterconverter/filterconverttosieveresultdialog.cpp
        filter/filterconverter/filterconverttosievepurposemenuwidget.cpp
        filter/filteractions/filteraction.cpp
        filter/filteractions/filteractionaddheader.cpp
        filter/filteractions/filteractionaddtag.cpp
        filter/filteractions/filteractionaddtoaddressbook.cpp
        filter/filteractions/filteractioncopy.cpp
        filter/filteractions/filteractiondecrypt.cpp
        filter/filteractions/filteractiondelete.cpp
        filter/filteractions/filteractiondict.cpp
        filter/filteractions/filteractionencrypt.cpp
        filter/filteractions/filteractionexec.cpp
        filter/filteractions/filteractionforward.cpp
        filter/filteractions/filteractionmove.cpp
        filter/filteractions/filteractionpipethrough.cpp
        filter/filteractions/filteractionplaysound.cpp
        filter/filteractions/filteractionredirect.cpp
        filter/filteractions/filteractionremoveheader.cpp
        filter/filteractions/filteractionreplyto.cpp
        filter/filteractions/filteractionrewriteheader.cpp
        filter/filteractions/filteractionsendfakedisposition.cpp
        filter/filteractions/filteractionsendreceipt.cpp
        filter/filteractions/filteractionsetidentity.cpp
        filter/filteractions/filteractionsetstatus.cpp
        filter/filteractions/filteractionstatus.cpp
        filter/filteractions/filteractionunsetstatus.cpp
        filter/filteractions/filteractionsettransport.cpp
        filter/filteractions/filteractionwidget.cpp
        filter/filteractions/filteractionwithaddress.cpp
        filter/filteractions/filteractionwithcommand.cpp
        filter/filteractions/filteractionwithcrypto.cpp
        filter/filteractions/filteractionwithfolder.cpp
        filter/filteractions/filteractionwithnone.cpp
        filter/filteractions/filteractionwithstring.cpp
        filter/filteractions/filteractionwithstringlist.cpp
        filter/filteractions/filteractionwithtest.cpp
        filter/filteractions/filteractionwithuoid.cpp
        filter/filteractions/filteractionwithurl.cpp
        filter/filterimporterexporter.cpp
        filter/filterimporter/filterimporterabstract.cpp
        filter/filterimporter/filterimporterevolution.cpp
        filter/filterimporter/filterimportersylpheed.cpp
        filter/filterimporter/filterimporterthunderbird.cpp
        filter/filterimporter/filterimporterprocmail.cpp
        filter/filterimporter/filterimporterbalsa.cpp
        filter/filterimporter/filterimporterclawsmail.cpp
        filter/filterimporter/filterimportergmail.cpp
        filter/filterlog.cpp
        filter/filtermanager.cpp
        filter/itemcontext.cpp
        filter/kmfilterdialog.cpp
        filter/mailfilter.cpp
        filter/filterimporterpathcache.cpp
        filter/dialog/selectthunderbirdfilterfilesdialog.cpp
        filter/dialog/selectthunderbirdfilterfileswidget.cpp
        filter/dialog/filteractionmissingfolderdialog.cpp
        filter/dialog/filteractionmissingsoundurldialog.cpp
        filter/dialog/filteractionmissingtagdialog.cpp
        filter/dialog/filteractionmissingaccountdialog.cpp
        filter/dialog/filteractionmissingtemplatedialog.cpp
        filter/dialog/filteractionmissingtransportdialog.cpp
        filter/dialog/filteractionmissingidentitydialog.cpp
        filter/invalidfilters/invalidfilterdialog.cpp
        filter/invalidfilters/invalidfilterlistview.cpp
        filter/invalidfilters/invalidfilterwidget.cpp
        filter/invalidfilters/invalidfilterinfo.cpp
        filter/invalidfilters/invalidfilterlistitemdelegate.cpp
        filter/invalidfilters/invalidfilterlistmodel.cpp
        filter/invalidfilters/invalidfilterinfowidget.cpp
        collectionpage/attributeregistrar.cpp
        collectionpage/collectiongeneralpage.cpp
        collectionpage/collectionexpirypage.cpp
        collectionpage/collectionexpirywidget.cpp
        collectionpage/attributes/expirecollectionattribute.cpp
        collectionpage/collectionexpiryjob.cpp
        collectionpage/collectiontemplateswidget.cpp
        collectionpage/collectionviewwidget.cpp
        collectionpage/collectiongeneralwidget.cpp
        folder/foldersettings.cpp
        folder/foldercollectionmonitor.cpp
        folder/folderrequester.cpp
        folder/folderselectiondialog.cpp
        folder/foldertreeview.cpp
        folder/foldertreewidget.cpp
        folder/foldertreewidgetproxymodel.cpp
        folder/entitycollectionorderproxymodel.cpp
        folder/accountconfigorderdialog.cpp
        folder/favoritecollectionorderproxymodel.cpp
        folder/hierarchicalfoldermatcher.cpp
        job/jobscheduler.cpp
        job/folderjob.cpp
        job/expirejob.cpp
        job/expiredeletejob.h
        job/expiredeletejob.cpp
        job/expiremovejob.h
        job/expiremovejob.cpp
        job/backupjob.cpp
        search/widgethandler/rulewidgethandlermanager.cpp
        search/searchpattern.cpp
        search/searchpatternedit.cpp
        search/widgethandler/encryptionwidgethandler.cpp
        search/widgethandler/textrulerwidgethandler.cpp
        search/widgethandler/statusrulewidgethandler.cpp
        search/widgethandler/messagerulewidgethandler.cpp
        search/widgethandler/tagrulewidgethandler.cpp
        search/widgethandler/numericrulewidgethandler.cpp
        search/widgethandler/daterulewidgethandler.cpp
        search/widgethandler/numericdoublerulewidgethandler.cpp
        search/widgethandler/headersrulerwidgethandler.cpp
        search/widgethandler/attachmentwidgethandler.cpp
        search/widgethandler/attachmentwidgethandler.h
        search/widgethandler/invitationwidgethandler.h
        search/widgethandler/invitationwidgethandler.cpp
        search/searchrule/searchrulenumerical.cpp
        search/searchrule/searchruledate.cpp
        search/searchrule/searchrulestring.cpp
        search/searchrule/searchrulestatus.cpp
        search/searchrule/searchruleencryption.cpp
        search/searchrule/searchrule.cpp
        search/searchrule/searchruleattachment.cpp
        search/searchrule/searchruleattachment.h
        search/searchrule/searchruleinvitation.cpp
        search/searchrule/searchruleinvitation.h
        snippets/snippetdialog.cpp
        snippets/snippetsmanager.cpp
        snippets/snippetsmodel.cpp
        snippets/snippetvariabledialog.cpp
        snippets/snippettreeview.cpp
        snippets/snippetwidget.cpp
        snippets/snippetattachmentwidget.cpp
        snippets/snippetselectattachmentwidget.cpp
        snippets/snippetselectattachmentdialog.cpp
        snippets/snippetcustomfileattachmentnamewidget.cpp
        snippets/snippetcustomfileattachmentnamedialog.cpp
        tag/tagwidget.cpp
        tag/tag.cpp
        tag/addtagdialog.cpp
        widgets/redirectdialog.cpp
        widgets/redirectwidget.cpp
        widgets/favoritecollectionwidget.cpp
        mdn/mdnwarningjob.h
        mdn/mdnwarningjob.cpp
        util/cryptoutils.cpp
        util/mailutil.cpp
        util/resourcereadconfigfile.cpp
        ${libmailcommon_SRCS}
        kernel/mailkernel.cpp
        job/folderjob.h
        job/expirejob.h
        job/jobscheduler.h
        job/backupjob.h
        filter/filterselectiondialog.h
        filter/kmfilteraccountlist.h
        filter/filterlog.h
        filter/dialog/filteractionmissingidentitydialog.h
        filter/dialog/filteractionmissingtemplatedialog.h
        filter/dialog/filteractionmissingaccountdialog.h
        filter/dialog/filteractionmissingtransportdialog.h
        filter/dialog/filteractionmissingfolderdialog.h
        filter/dialog/selectthunderbirdfilterfilesdialog.h
        filter/dialog/filteractionmissingsoundurldialog.h
        filter/dialog/filteractionmissingtagdialog.h
        filter/dialog/selectthunderbirdfilterfileswidget.h
        filter/invalidfilters/invalidfilterinfo.h
        filter/invalidfilters/invalidfilterlistitemdelegate.h
        filter/invalidfilters/invalidfilterlistmodel.h
        filter/invalidfilters/invalidfilterinfowidget.h
        filter/invalidfilters/invalidfilterdialog.h
        filter/invalidfilters/invalidfilterlistview.h
        filter/invalidfilters/invalidfilterwidget.h
        filter/kmfilterdialog.h
        filter/filtermanager.h
        filter/filterimporter/filterimportersylpheed.h
        filter/filterimporter/filterimportergmail.h
        filter/filterimporter/filterimporterprocmail.h
        filter/filterimporter/filterimporterabstract.h
        filter/filterimporter/filterimporterclawsmail.h
        filter/filterimporter/filterimporterthunderbird.h
        filter/filterimporter/filterimporterbalsa.h
        filter/filterimporter/filterimporterevolution.h
        filter/kmfilterlistbox.h
        filter/filterimporterpathcache.h
        filter/mailfilter.h
        filter/filteractions/filteractionexec.h
        filter/filteractions/filteractionstatus.h
        filter/filteractions/filteractionredirect.h
        filter/filteractions/filteractionwithaddress.h
        filter/filteractions/filteractionunsetstatus.h
        filter/filteractions/filteractiondict.h
        filter/filteractions/filteractionwithstring.h
        filter/filteractions/filteractionsettransport.h
        filter/filteractions/filteractionaddtag.h
        filter/filteractions/filteractionaddtoaddressbook.h
        filter/filteractions/filteractionwithcrypto.h
        filter/filteractions/filteractionreplyto.h
        filter/filteractions/filteractionwithnone.h
        filter/filteractions/filteractionwithurl.h
        filter/filteractions/filteractionpipethrough.h
        filter/filteractions/filteractiondelete.h
        filter/filteractions/filteractionwithtest.h
        filter/filteractions/filteractionwithuoid.h
        filter/filteractions/filteractionplaysound.h
        filter/filteractions/filteractionsetstatus.h
        filter/filteractions/filteractionwithstringlist.h
        filter/filteractions/filteraction.h
        filter/filteractions/filteractionsendreceipt.h

=== src/search/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_search_autotest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "mailcommon-search-"
        LINK_LIBRARIES Qt::Test KPim6::MailCommon KF6::Codecs
    )
endmacro()

add_search_autotest(searchpatterntest.cpp)
add_search_autotest(searchruletest.cpp)
add_search_autotest(searchruleattachmenttest.cpp)
add_search_autotest(searchrulestatustest.cpp)
add_search_autotest(searchrulenumericaltest.cpp)
add_search_autotest(searchruledatetest.cpp)
add_search_autotest(searchrulestringtest.cpp)
add_search_autotest(searchruleencryptiontest.cpp)

=== src/filter/filterimporter/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
add_akonadi_isolated_test_advanced(filterimportclawmailtest.cpp filtertestkernel.cpp "KPim6::MailCommon")
add_akonadi_isolated_test_advanced(filterimportthunderbirdtest.cpp filtertestkernel.cpp "KPim6::MailCommon")
add_akonadi_isolated_test_advanced(filterimportbalsatest.cpp filtertestkernel.cpp "KPim6::MailCommon")
add_akonadi_isolated_test_advanced(filterimportevolutiontest.cpp filtertestkernel.cpp "KPim6::MailCommon")
add_akonadi_isolated_test_advanced(filterimportprocmailtest.cpp filtertestkernel.cpp "KPim6::MailCommon")
add_akonadi_isolated_test_advanced(filterimportsylpheedtest.cpp filtertestkernel.cpp "KPim6::MailCommon")
add_akonadi_isolated_test_advanced(filterimportergmailtest.cpp filtertestkernel.cpp "KPim6::MailCommon")

=== debian/changelog ===
mailcommon (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:13:10 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.0~),
-               libakonadicontact-dev (>= 4:25.08.0~),
-               libakonadimime-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
+               libakonadicontact-dev (>= 4:25.08.1~),
+               libakonadimime-dev (>= 4:25.08.1~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:25.08.0~),
+               libkdepim-dev (>= 4:25.08.1~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -30,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.0~),
-               libkmailtransport-dev (>= 25.08.0~),
-               libkmime-dev (>= 25.08.0~),
+               libkidentitymanagement-dev (>= 25.08.1~),
+               libkmailtransport-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:25.08.0~),
+               libmailimporter-dev (>= 4:25.08.1~),
                libphonon4qt6-dev (>= 4:4.12.0~),
-               libpimcommon-dev (>= 4:25.08.0~),
+               libpimcommon-dev (>= 4:25.08.1~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:25.08.0~),
+               messagelib-dev (>= 4:25.08.1~),
                qt6-base-dev (>= 6.7.0~),
                qt6-multimedia-dev,
                xauth,
@@ -65,13 +65,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:25.08.0~),
-         libakonadimime-dev (>= 4:25.08.0~),
-         libkdepim-dev (>= 4:25.08.0~),
+Depends: libakonadi-dev (>= 4:25.08.1~),
+         libakonadimime-dev (>= 4:25.08.1~),
+         libkdepim-dev (>= 4:25.08.1~),
          libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:25.08.0~),
-         messagelib-dev (>= 4:25.08.0~),
+         libpimcommon-dev (>= 4:25.08.1~),
+         messagelib-dev (>= 4:25.08.1~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.

## mailcommon 25.08.2

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")

project(mailcommon VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "6.5.2")
set(AKONADICONTACT_LIB_VERSION "6.5.2")
set(MESSAGELIB_LIB_VERSION "6.5.2")
set(KMIME_LIB_VERSION "6.5.2")
set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
set(MAILIMPORTER_LIB_VERSION "6.5.2")
set(LIBKDEPIM_LIB_VERSION "6.5.2")
set(PIMCOMMON_LIB_VERSION "6.5.2")
set(KIDENTITYMANAGERCORE_LIB_VERSION "6.5.2")

set(AKONADI_VERSION "6.5.2")
set(KTEXTADDONS_MIN_VERSION "1.6.0")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED Widgets DBus Xml Multimedia
)

set(GPGMEPP_LIB_VERSION "1.20.0")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)
find_package(QGpgmeQt6 ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailImporter ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiContactWidgets
    ${AKONADICONTACT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(
    KPim6IdentityManagementCore
    ${KIDENTITYMANAGERCORE_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(
    DESIGNERPLUGIN
    ${BUILD_DESIGNERPLUGIN}
    "Build plugin for Qt Designer"
)

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILCOMMON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfigVersion.cmake"
                        SOVERSION 6
)

if(TARGET KPim6::PimCommonActivities)
    option(
        OPTION_USE_PLASMA_ACTIVITIES
        "Activate plasma activities (experimental)"
        ON
    )
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION "Allow to compile with plasma activities"
                    TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(MAILCOMMON_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

########### Targets ###########
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

add_subdirectory(src)
if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailCommon")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MailCommon_QCH
        FILE KPim6MailCommonQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MailCommonQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailCommonConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailCommonConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MailCommonTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MailCommonTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/mailcommon_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailCommon
    COMPONENT Devel
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
mailcommon (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.1~),
-               libakonadicontact-dev (>= 4:25.08.1~),
-               libakonadimime-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
+               libakonadicontact-dev (>= 4:25.08.2~),
+               libakonadimime-dev (>= 4:25.08.2~),
                libgpgme-dev (>= 1.20.0~),
                libgpgmepp-dev (>= 1.20.0~),
-               libkdepim-dev (>= 4:25.08.1~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -30,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
-               libkmailtransport-dev (>= 25.08.1~),
-               libkmime-dev (>= 25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
+               libkmailtransport-dev (>= 25.08.2~),
+               libkmime-dev (>= 25.08.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libmailimporter-dev (>= 4:25.08.1~),
+               libmailimporter-dev (>= 4:25.08.2~),
                libphonon4qt6-dev (>= 4:4.12.0~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libpimcommon-dev (>= 4:25.08.2~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqgpgmeqt6-dev (>= 1.20.0~),
-               messagelib-dev (>= 4:25.08.1~),
+               messagelib-dev (>= 4:25.08.2~),
                qt6-base-dev (>= 6.7.0~),
                qt6-multimedia-dev,
                xauth,
@@ -65,13 +65,13 @@
 Package: libmailcommon-dev
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
-Depends: libakonadi-dev (>= 4:25.08.1~),
-         libakonadimime-dev (>= 4:25.08.1~),
-         libkdepim-dev (>= 4:25.08.1~),
+Depends: libakonadi-dev (>= 4:25.08.2~),
+         libakonadimime-dev (>= 4:25.08.2~),
+         libkdepim-dev (>= 4:25.08.2~),
          libkf6completion-dev (>= 6.6.0~),
          libkpim6mailcommon6 (= ${binary:Version}),
-         libpimcommon-dev (>= 4:25.08.1~),
-         messagelib-dev (>= 4:25.08.1~),
+         libpimcommon-dev (>= 4:25.08.2~),
+         messagelib-dev (>= 4:25.08.2~),
          ${misc:Depends},
 Description: KDE PIM email utility library - development files
  The mail common library provides utility functions for dealing with email.

## mailcommon 25.08.3

=== src/designer/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include(ECMAddQtDesignerPlugin)
ecm_qtdesignerplugin_widget(MailCommon::SearchPatternEdit
    INCLUDE_FILE "MailCommon/SearchPatternEdit"
    TOOLTIP "Search pattern editor (KDE-PIM)"
    WHATSTHIS "This widget is intended to be used in the filter configuration as well as in the message search dialogs."
    GROUP "Input (KDE-PIM)"
)

ecm_add_qtdesignerplugin(mailcommonwidgets
    NAME KDEPimMailCommonWidgets
    OUTPUT_NAME mailcommon6widgets
    WIDGETS
    MailCommon::SearchPatternEdit
    LINK_LIBRARIES
    KPim6::MailCommon
    KPim6::Libkdepim
    KF6::I18n
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
)

=== debian/changelog ===
mailcommon (4:25.08.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Replace dbus-dependency with dbus-daemon (Closes: #1122674).

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Dec 2025 12:15:45 +0100

mailcommon (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:38 +0100

mailcommon (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:01 +0100

=== debian/control ===
Source: mailcommon
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               dbus-daemon,
               extra-cmake-modules (>= 6.14.0~),
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libakonadimime-dev (>= 4:25.08.3~),
               libgpgme-dev (>= 1.20.0~),
               libgpgmepp-dev (>= 1.20.0~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6archive-dev (>= 6.14.0~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6completion-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6itemviews-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6syntaxhighlighting-dev (>= 6.14.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libktextaddons-dev (>= 1.6.0~),
               libmailimporter-dev (>= 4:25.08.3~),
               libphonon4qt6-dev (>= 4:4.12.0~),
               libpimcommon-dev (>= 4:25.08.3~),
               libplasmaactivities-dev (>= 6.3.0~),
               libqgpgmeqt6-dev (>= 1.20.0~),
               messagelib-dev (>= 4:25.08.3~),
               qt6-base-dev (>= 6.8.0~),
               qt6-multimedia-dev (>= 6.8.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/mailcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailcommon.git
Rules-Requires-Root: no

Package: libmailcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM email utility library - data files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the shared data distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libmailcommon-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Depends: libakonadi-dev (>= 4:25.08.3~),
         libakonadimime-dev (>= 4:25.08.3~),
         libkdepim-dev (>= 4:25.08.3~),
         libkf6completion-dev (>= 6.14.0~),
         libkpim6mailcommon6 (= ${binary:Version}),
         libpimcommon-dev (>= 4:25.08.3~),
         messagelib-dev (>= 4:25.08.3~),
         ${misc:Depends},
Description: KDE PIM email utility library - development files
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the development files needed for the KDE PIM mail common
 library.
 .
 This package is part of KDE PIM module.

Package: libmailcommon-plugins
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library - plugins
 The mail common library provides utility functions for dealing with email.
 .
 This package contains the plugins distributed with the library.
 .
 This package is part of KDE PIM module.

Package: libkpim6mailcommon6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libmailcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM email utility library
 The mail common library provides utility functions for dealing with email.
 .
 This package is part of KDE PIM module.
